package ctbrec.variableexpansion.functions;

import ctbrec.variableexpansion.VarArgsFunction;

import java.util.Optional;

public class Upper implements VarArgsFunction<Object, String> {
    @Override
    public String apply(Object[] params) {
        return Optional.ofNullable(params).map(sa -> sa[0]).map(String.class::cast).map(String::toUpperCase).orElse("");
    }
}
